{ config, lib, pkgs, ... }:

{
   fileSystems =
    let
      automount-opts = "x-systemd.automount,noauto,users,x-systemd.idle-timeout=60,x-systemd.device-timeout=5s,x-systemd.mount-timeout=5s,uid=1000";
      filez-opts = automount-opts + ",credentials=/etc/nixos/filez-secrets";
      media-server-opts = automount-opts + ",credentials=/etc/nixos/media-server-secrets";
    in {

      "/mnt/filez/media" = {
        device = "//filez/Media";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/music-production" = {
        device = "//filez/Music Production";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/storage" = {
        device = "//filez/Storage";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/photos" = {
        device = "//filez/Photo Storage";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      # "/mnt/media-server/import" = {
      #   device = "//media-server/import";
      #   # fsType = "smb3";
      #   options = [ "${media-server-opts}" ];
      # };
    };
}
